package perfSONAR::SOAP::HTTP::Response;

#TODO

use strict;
use warnings;

#DEBUG
#use Data::Dumper;
#/DEBUG

use Carp;

use HTTP::Response;

use base 'HTTP::Response';


# This method behaves like HTTP::Response::content, but will croak if an
# argument is passed!
# This is a one-way method! You can only get a SOAP message from it, not set
# it!
sub soap_message {
  my $self = shift;
  my ($message) = @_;

  if (@_) {
    carp "No parameters allowed for soap_message"
      if $^W;
  }

  return perfSONAR::SOAP::Message->from_http_response($self);
}


1;
