package perfSONAR::SOAP::HTTP::UserAgent;

#TODO

use strict;
use warnings;

#DEBUG
#use Data::Dumper;
#/DEBUG

use Carp;

use LWP::UserAgent;

use base 'LWP::UserAgent';


our $timeout = 5000;


# More or less a wrapper around LWP::UserAgent->new
# You can use the same parameters as for LWP::UserAgent->new
sub new {
  my $this = shift;
  my $class = ref($this) || $this;

  my $self = $class->SUPER::new(
    timeout => $timeout, # our own default here
    @_
  );
  bless $self, $class;
}

sub request {
  my $self = shift;
  return bless($self->SUPER::request(@_), 'perfSONAR::SOAP::HTTP::Response');
}


1;
